Here’s an article from WordPress News written by Aaron D. Campbell which I thought you might find of interest.

WordPress 4.7.2 is now available. This is a security release for all previous versions and we strongly encourage you to update your sites immediately. WordPress versions 4.7.1 and earlier are affected by three security issues: The user interface for assigning taxonomy terms in Press This is shown to users who do not have permissions to use it. […]

To read more head to https://wordpress.org/news/2017/01/wordpress-4-7-2-security-release/

Till next time,
D